Vehicle Model
Resource for retrieving vehicle model information, including the model name and its unique identifier. Later on, you'll require the model id to retrieve its trims.
Properties
The fetched data provides the following properties for each entity in the collection. These properties are not meant to be submitted, unless they are specified as required or optional properties.
- Name
id- Type
- int
- Description
Unique identifier for the model.
- Name
make_id- Type
- int
- Description
Unique identifier for the make of the model.
- Name
name- Type
- string
- Description
The official model's name.
- Name
market_name- Type
- string
- Description
This could be a more localized or regionalized name for the same vehicle model. It might take into account variations in naming conventions or market preferences across different regions. For example, a vehicle might have a slightly different name in Europe compared to the United States, even though it's essentially the same model.
Get models by make and year
This endpoint retrieves a collection of vehicle models for a specific vehicle make and year.
Required properties
- Name
make_id- Type
- int
- Description
The vehicle make ID for which you want to retrieve the models.
- Name
year- Type
- int
- Description
The vehicle year for which you want to retrieve the models.
Request
curl -G 'https://covertier.com/api/v1/vehicle/valuation/models/{make_id}/{year}' \
-H "Authorization: Bearer {TOKEN}"
Response
{
"data": [
{
"id": 7,
"name": "A3",
"market_name": "A3",
"make_id": 4,
"make_name": "Audi"
},
{
"id": 4,
"name": "A4",
"market_name": "A4",
"make_id": 4,
"make_name": "Audi"
},
...
]
}